org.apache.solr.common.util

## Class WriteableValue

- java.lang.Object
- - org.apache.solr.common.util.WriteableValue

All Implemented Interfaces:
  JavaBinCodec.ObjectResolver

    public abstract class WriteableValue
    extends Object
    implements JavaBinCodec.ObjectResolver

### Constructor Summary

Constructors
Constructor and Description
`WriteableValue()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `write(String name, TextWriter writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.util.JavaBinCodec.ObjectResolver

`resolve`

### Constructor Detail

#### WriteableValue

    public WriteableValue()

### Method Detail

#### write

    public abstract void write(String name,
                               TextWriter writer)
                        throws IOException

Throws:
  `IOException`